Gifli API Docs
Api

Edit a GIF

Update a GIF's name. Owner only.

PATCH
/gifs/{id}

Authorization

AuthorizationBearer <token>

Pass a user session token (from /auth/login) or an app API key (gk_…).

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/gifs/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "string",  "name": "string",  "description": "string",  "url": "http://example.com",  "mimeType": "image/webp",  "sizeBytes": "204800",  "width": 0,  "height": 0,  "thumbhash": "string",  "userId": "string",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}